<template>
  <div class="fixed inset-0 z-20 bg-primary overflow-auto">
    <main class="max-w-quiz mx-auto shadow-2xl">
      <div class="p-5">
        <div class="h1 mb-3">
          {{ referTitle }}
        </div>
        <div class="text-base mb-5 whitespace-pre-wrap mb-5">
          {{ referInfo }}
        </div>
        <div v-if="genderMale">
          <common-btn
            text="Take our men’s quiz"
          />
        </div>
        <div v-else class="rounded-lg bg-white p-5">
          <div class="mb-5 flex items-start">
            <img class="mr-4" width="48px" src="@/assets/img/common/nautral-kit.png" alt="img">
            <div>
              <p class="mb-2">The Natural Kit</p>
              <p class="text-sm text-grey-dark">Thinning hair has met its match. These formulas contain ingredients that
                have been shown to block the hormone, DHT, from stunting healthy hair growth.</p>
            </div>
          </div>
          <common-btn
            text="Shop now"
          />
        </div>
      </div>
      <div class="bg-white p-5">
        <p class="mb-3">Did you make a mistake?</p>
        <common-btn
          text="Change your answer"
          @click="clearRefer"
          class="mb-5"
        />
        <p>For further assistance, or to speak to a patient care specialist, call <a class="text-green"
                                                                                     href="tel:8779074047">(877)
          907-4047</a></p>
      </div>
    </main>
  </div>
</template>

<script>
import {answersMixin, referMixin} from "@/utils/mixins";

export default {
  mixins: [referMixin, answersMixin],
  name: "ReferOutModal",
  computed: {
    referTitle() {
      return this.refer?.title ?? 'ERR'
    },
    referInfo() {
      return this.refer?.info ?? 'ERR'
    },
    genderMale() {
      return this.answer(this.answersKeys.THE_BASICS)?.stage_1?.gender === 'Male'
    }
  }
}
</script>

<style scoped>

</style>
